Coins: 22,445
Exchanges: 1,511
Market Cap: $2.838T 1.9%
24h Vol: $90.311B
Fear & Greed: Neutral (51)
Go Ad-free
Portfolios
Add to New Portfolio
Track
on the go
Get real-time updates via push notifications on the app.
Open App
RFC logo

Retard Finder Coin
RFC / VND

#4974
₫4.55
1.3%
0.082153 BTC 0.6%
$0.0001751 24h Range $0.0001827
app QR code
Get RFC Alerts within the CoinGecko app
Get it on google play

Convert Retard Finder Coin to Vietnamese đồng (RFC to VND)

The price of converting 1 Retard Finder Coin (RFC) to VND is ₫4.55 today.
RFC
VND

1 RFC = ₫4.55

How to Buy RFC with VND

Show

1. Identify where to trade RFC

2. Choose a suitable exchange

3. Register an account

4. You’re now ready to buy RFC with VND!

RFC to VND Chart

Retard Finder Coin (RFC) is worth ₫4.55 today, which is a 0.1% decline from an hour ago and a 2.6% decline since yesterday. The value of RFC today is 0.9% lower compared to its value 7 days ago. In the last 24 hours, the total volume of Retard Finder Coin traded was ₫31,542,264.
Chart by TradingView
Use log scale View in full screen Download as PNG Download as SVG Download as JPEG Download as PDF
View in full screen
Need more data? Explore our API
1h 24h 7d 14d 30d 1y
0.1% 2.6% 0.9% 39.6% 56.2% 93.0%

Retard Finder Coin Statistics

Market Cap ₫4.538B
Market Cap / FDV 1
Fully Diluted Valuation ₫4.555B
24 Hour Trading Vol ₫31.542M
Circulating Supply 995.981M
Total Supply 999.838M
Max Supply 1B
Buy / Sell
Sponsored
Long / Short
Sponsored
Earn Crypto
Sponsored

FAQs

How much is 1 Retard Finder Coin worth in VND?

How many RFC can I buy for ₫1?

How do I convert the price of RFC to VND?

What is the highest price of RFC/VND in history?

What is the price trend of Retard Finder Coin in VND?

RFC / VND Conversion Tables

The conversion rate of Retard Finder Coin (RFC) to VND is ₫4.55 for every 1 RFC. This means you can exchange 5 RFC for ₫22.77 or ₫50.00 for 10.98 RFC, excluding fees. Refer to our conversion tables for popular RFC trading amounts in their corresponding VND prices and vice versa.

Convert Retard Finder Coin (RFC) to VND

RFC VND
0.01 RFC 0.04554284 VND
0.1 RFC 0.455428 VND
1 RFC 4.55 VND
2 RFC 9.11 VND
5 RFC 22.77 VND
10 RFC 45.54 VND
20 RFC 91.09 VND
50 RFC 227.71 VND
100 RFC 455.43 VND
1000 RFC 4554.28 VND

Convert Vietnamese đồng (VND) to RFC

VND RFC
0.01 VND 0.00219573 RFC
0.1 VND 0.02195735 RFC
1 VND 0.219573 RFC
2 VND 0.439147 RFC
5 VND 1.098 RFC
10 VND 2.20 RFC
20 VND 4.39 RFC
50 VND 10.98 RFC
100 VND 21.96 RFC
1000 VND 219.57 RFC

7-day price history of Retard Finder Coin (RFC) to VND

The daily exchange rate of Retard Finder Coin (RFC) to VND fluctuated between a high of ₫4.97 on Friday and a low of ₫4.55 on Thursday in the last 7 days. Within the week, the price of RFC in VND had the largest 24-hour price movement on Friday (6 days ago) by ₫0.396652 (8.7%).

Compare the daily prices of Retard Finder Coin (RFC) in VND and their 24-hour price movements for the week.
Date Day of the week 1 RFC to VND 24hr Changes Change %
October 22, 2026 Thursday ₫4.55 -₫0.122662 2.6%
October 21, 2026 Wednesday ₫4.59 -₫0.02888892 0.6%
October 20, 2026 Tuesday ₫4.62 -₫0.211481 4.4%
October 19, 2026 Monday ₫4.83 ₫0.060256 1.3%
October 18, 2026 Sunday ₫4.77 ₫0.04100891 0.9%
October 17, 2026 Saturday ₫4.73 -₫0.240417 4.8%
October 16, 2026 Friday ₫4.97 ₫0.396652 8.7%

CoinGecko Cryptocurrency Data API

Proudly powering over thousands of industry builders worldwide with accurate, live & independent data
Metamask Metamask
Etherscan Etherscan
Trezor Trezor
AAVE AAVE
Chainlink Chainlink
Select Currency
Suggested Currencies
USD
US Dollar
IDR
Indonesian Rupiah
TWD
New Taiwan Dollar
EUR
Euro
KRW
South Korean Won
JPY
Japanese Yen
RUB
Russian Ruble
CNY
Chinese Yuan
Fiat Currencies
AED
United Arab Emirates Dirham
ARS
Argentine Peso
AUD
Australian Dollar
BDT
Bangladeshi Taka
BHD
Bahraini Dinar
BMD
Bermudian Dollar
BRL
Brazil Real
CAD
Canadian Dollar
CHF
Swiss Franc
CLP
Chilean Peso
CZK
Czech Koruna
DKK
Danish Krone
GBP
British Pound Sterling
GEL
Georgian Lari
HKD
Hong Kong Dollar
HUF
Hungarian Forint
ILS
Israeli New Shekel
INR
Indian Rupee
KWD
Kuwaiti Dinar
LKR
Sri Lankan Rupee
MMK
Burmese Kyat
MXN
Mexican Peso
MYR
Malaysian Ringgit
NGN
Nigerian Naira
NOK
Norwegian Krone
NZD
New Zealand Dollar
PHP
Philippine Peso
PKR
Pakistani Rupee
PLN
Polish Zloty
SAR
Saudi Riyal
SEK
Swedish Krona
SGD
Singapore Dollar
THB
Thai Baht
TRY
Turkish Lira
UAH
Ukrainian hryvnia
VND
Vietnamese đồng
ZAR
South African Rand
XDR
IMF Special Drawing Rights
Cryptocurrencies
BTC
Bitcoin
ETH
Ether
LTC
Litecoin
BCH
Bitcoin Cash
BNB
Binance Coin
EOS
EOS
XRP
XRP
XLM
Lumens
LINK
Chainlink
DOT
Polkadot
YFI
Yearn.finance
SOL
Solana
Bitcoin Units
BITS
Bits
SATS
Satoshi
Commodities
XAG
Silver - Troy Ounce
XAU
Gold - Troy Ounce
Select Language
Popular Languages
EN
English
RU
Русский
DE
Deutsch
PL
język polski
ES
Español
VI
Tiếng việt
FR
Français
PT-BR
Português
All Languages
AR
العربية
BG
български
CS
čeština
DA
dansk
EL
Ελληνικά
FI
suomen kieli
HE
עִבְרִית
HI
हिंदी
HR
hrvatski
HU
Magyar nyelv
ID
Bahasa Indonesia
IT
Italiano
JA
日本語
KO
한국어
LT
lietuvių kalba
NL
Nederlands
NO
norsk
RO
Limba română
SK
slovenský jazyk
SL
slovenski jezik
SV
Svenska
TH
ภาษาไทย
TR
Türkçe
UK
украї́нська мо́ва
ZH
简体中文
ZH-TW
繁體中文
Welcome to CoinGecko
Welcome back!
Login or Sign up in seconds
or
Sign in with . Not you?
Forgot your password?
Didn't receive confirmation instructions?
Resend confirmation instructions
Password must contain at least 8 characters including 1 uppercase letter, 1 lowercase letter, 1 number, and 1 special character
By continuing, you acknowledge that you've read and agree fully to our Terms of Service and Privacy Policy.
Get Price Alerts with CoinGecko App
Forgot your password?
You will receive an email with instructions on how to reset your password in a few minutes.
Resend confirmation instructions
You will receive an email with instructions for how to confirm your email address in a few minutes.
Get the CoinGecko app.
Scan this QR code to download the app now App QR Code Or check it out in the app stores
Add NFT
CoinGecko
Better on the app
Real-time price alerts and a faster, smoother experience.